# ============================
# StoRM General config
# ============================
#storm.machinenames=storm-fe.cr.cnaf.infn.it,storm01.cr.cnaf.infn.it,storm04.cr.cnaf.infn.it,storm03.cr.cnaf.infn.it
storm.machinenames=storm01.cr.cnaf.infn.it,storm04.cr.cnaf.infn.it,storm03.cr.cnaf.infn.it,storm-fe.cr.cnaf.infn.it


#storm.machineIPs=131.154.129.34;131.154.129.34;131.154.128.139

# BEWARE! storm.machinenames is a list of ; separated strings
# identifying the various names of the FE. For example:
# storm.machinenames=egrid-7.egrid.it,fe.egrid.it,storm.egrid.it

storm.service.hostname=storm01.cr.cnaf.infn.it
storm.service.port=8444
fe.port = 8444
storm.service.inQueryForm=false
storm.service.endpoint=/srm/managerv2
storm.service.defaultSpaceTokens=DISK,LHCb_RAW,LHCb_RDST,srm2_d1t0

proxy.home=/opt/storm/var/proxies

# ============================
# FE/BE communication RDBMS
# ============================
asynch.picker.db.host = localhost
asynch.picker.db.username = storm
asynch.picker.db.passwd = storm

asynch.PickingMaxBatchSize = 100

# --- MULTI-THREAD SCHEDULER ---
#
scheduler.crusher.workerCorePoolSize=40
scheduler.crusher.workerMaxPoolSize=100
scheduler.crusher.queueSize=1000

scheduler.chunksched.ptg.workerCorePoolSize=40
scheduler.chunksched.ptg.workerMaxPoolSize=100
scheduler.chunksched.ptg.queueSize=1000

scheduler.chunksched.ptp.workerCorePoolSize=40
scheduler.chunksched.ptp.workerMaxPoolSize=100
scheduler.chunksched.ptp.queueSize=1000

scheduler.chunksched.copy.workerCorePoolSize=40
scheduler.chunksched.copy.workerMaxPoolSize=100
scheduler.chunksched.copy.queueSize=1000

pinLifetime.minimum=3600


# ============================
# SYNCHCALL Component parameter
# ============================
synchcall.directoryManager.maxLsEntry=2000
synchcall.xmlrpc.maxthread=200
# ============================
# BE-private RDBMS
# ============================
persistence.db.host = localhost
persistence.db.username = storm
persistence.db.passwd = storm

persistence.db.pool = true
persistence.db.pool.maxActive = 10
persistence.db.pool.maxWait = 50

# =======================
# Authorization Component
# =======================
# authorization.sources = ECARAuthorizationSource
# ecar.sea=https://egrid-lfc-01.pd.infn.it:8859/

# file lifetime used if request specify 0 second lifetime or does not
# supplied a value.
fileLifetime.default=144000

# Maximum lifetime of a JiT ACE. It is important that this lifetime
# does not exeed pool account lifetime.

# =======================
# Authorization Component
# =======================
authorization.sources = PermitAllAuthorizationSource

asynch.PickingTimeInterval = 2




